Partially update a billing template client by client's ID.

Notes

status cannot be patched to subscription_paused if it is pending.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required

Object ID (UUID)

string
required

Object ID (UUID)

Body Params
string

If this value is more than 0 then tracking will be enabled for this mandate.

string
enum

The value type for this mandate, referring to the collection amount.
Use FIXED when the amount should be the same for all collections.

Allowed:
boolean

Indicates whether the collection day for this mandate could be any day of the month.

string
enum

The type of authentication that is used to authenticate this mandate.

Allowed:
integer

If REALTIME auth is used, this field indicates the number of times auth will be retried if it times out.

boolean

If REALTIME auth is used, this field indicates whether to fallback to delayed auth if realtime auth times out.

boolean

NB: This incurs additional costs.
Whether to verify the debtor's account details using the bank's Account Verification Service.

string

The bank reference number for this mandate.
This should only be specified if this mandate has already been authorised by the bank and creditor/client.

integer

The maximum amount (in cents) that can be collected with this mandate.

string

The profile code to create this mandate for.
Ensure that the token (JWT) used for this request has access to this profile code,
otherwise you will get a HTTP 400 response ("Profile code does not exist")

string

The abbreviated name or "short name" that will be used for this mandate at the bank.
This name will be used when authenticating with the debtor (shown in the USSD message) and in any further debits.

string
length ≤ 34

Bank account number (e.g. IBAN)

string
length ≤ 34

Bank account number (e.g. IBAN)

string
enum
Defaults to CURRENT
Allowed:
string
length ≤ 11

SWIFT/BIC code of the bank

string
string
string
string
length ≤ 10

Phone number in the South African 0xx xxx xxxx format

string
enum

Indicates a frequency to adjust the collection amount for this mandate.
If an Adjustment Category is specified, Either an adjustment amount OR rate needs to be specfied.

Allowed:
string

Only set this value if adjustmentCategory is not NEVER AND adjustmentAmountCents is not set.
The rate at which to adjust the collection amount with after the period specified by adjustmentCategory.

integer

Only set this value if adjustmentCategory is not NEVER AND adjustmentRate is not set.
The amount (cents) to adjust collections with after the period specified by adjustmentCategory.

boolean

WIP:
Set individual collection amount per client.
You only need the products field to override collection amount, but you can use all the other fields too.
Set invoice_override to null to use default values from billing_template. Mandate will be patched in both cases.

string

The start date of a billing cycle.

Minimum date is Today + 4 days.

string

The date on which this mandate should be expired by the bank.

boolean
Defaults to true

Sends invoice when subscription charge fails if this is true

string
enum
Defaults to inactive

For subscriptions, you can edit (PATCH /billing_templates/{id}/clients/{id}/) this status between active and subscription_paused values to pause the client's subscription. Paused subscriptions run as normal, except for purchases not being created and invoices sent for them. It means that if you pause a BillingTemplateClient's monthly subscription cycle a day before the billing date, the next day the invoice will not be issued; but, if you unpause the client a day after the planned billing would have taken place, the planned billing in a month (minus one day) will happen as usual.

Read-only if the BillingTemplateClient is in inactive (internal status not managed through public API) or pending (see documentation for POST /billing_templates/{id}/add_subscriber/) statuses.

Allowed:
payment_method_whitelist
array of strings
length ≥ 1

An optional whitelist of payment methods availble for purchases generated for this BillingTemplateClient. Copied 1:1 to Purchase.payment_method_whitelist field on created Purchases (see its description).

payment_method_whitelist

Payment method name as returned by GET /payment_methods/.

string
enum
Defaults to TWODAY

Service Type is the collection instrument used at the bank, which differs in days taken to execute

A purchase due needs to be valid equal to or longer than the timeframe
of the token service type that will be used to collect it.
e.g. a purchase due tomorrow (Today + 1) cannot be created/charged with a TWODAY serviceType/token

You create recurring_tokens with purchases and its service type is determined by the purchase
that created it.
A recurring token can only pay/charge a purchase that is of the same service type as itself.
e.g. You can only charge a ONEDAY puchase with a ONEDAY recurring token.

When creating a purchase, force_recurring must be true to use the default_service_type.

Allowed:
Responses

404

No such object

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json